Bug 110034 - JSP Template 'Body text' form validationn should try compiling the source
Summary: JSP Template 'Body text' form validationn should try compiling the source
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-14 10:22 UTC by Daniel Berrange
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:29:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-11-14 10:22:47 UTC
Description of problem:
The internal Template content type allows the admin to upload JSP
templates for displaying content items. There is, however, no easy way
for the administrator to test whether the JSP they are uploading will
work outside of the the system. Thus they have to upload it, publish
the template, try and view an item & then see if there were any
errors. This debugging cycle is very time consuming & unreliable. What
is required is for the form validator on the body text to run the JSP
code through the compiler & display anys errors straight away. This
could be achieved by using the Jakarta JSP engine - Jasper.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Berrange 2006-09-02 17:29:14 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.